Bug 733466 - Some issues with grub2 on Fedora 16 Alpha
Summary: Some issues with grub2 on Fedora 16 Alpha
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: grub2
Version: 16
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-25 18:45 UTC by Amir Hedayaty
Modified: 2012-04-16 17:55 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-04-16 17:55:48 UTC


Attachments (Terms of Use)

Description Amir Hedayaty 2011-08-25 18:45:21 UTC
Description of problem:
Here is a few thing I encountered regarding os-prober , maybe I need to create separate bugs but they seem relevant and easy if it goes through long discussions I will split.

First os-prober needs to be installed by default, second os-prober should use a unified linux interface with the main part. In my case I have a windows + 2 linux (one the stable and one latest)

After installation none of them are in the grub (which I believe anaconda or live installer need to use this op-prober for majority of uses) there are good configuration lines added for fedora 16 (good) but the lines added for fedora 15 are too basic (no rhgb ro quiet, ....) it is good at least for the first time it can boot my other linux without much of a modification, but I expect to add similar lines for both of them and pass those kernel params.

There is some duplicated work in os-prober, if it used the original linux rules that would be nice, anyway I can create the patches required myself.

Version-Release number of selected component (if applicable):
grub2-1.99-0.2.fc16.x86_64

Comment 1 Mads Kiilerich 2011-09-06 21:24:35 UTC
(In reply to comment #0)
> First os-prober needs to be installed by default

Bug 678456

> second os-prober should use a
> unified linux interface with the main part. In my case I have a windows + 2
> linux (one the stable and one latest)

I don't think it would be more correct to use the boot configuration for the current linux os for other linux os' os-prober might find.

os-prober might not be for you if you have complex needs. Some kind of chain loader or use of 41_custom would perhaps be a better solution for you.

Comment 2 Fedora Admin XMLRPC Client 2011-09-16 19:08:16 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Amir Hedayaty 2011-09-19 07:20:43 UTC
Since the hardware are the same, the current default is good choice for it least default setting. Better than nothing at least!

One more thing the /etc/default/grub is being overwritten with every grub update (packaging bug I guess) as a result the default boot option is being removed which is very annoying! 

Another feature request maybe for feature
It will be awesome if these is a  way to set the default in a more descriptive way instead of number
like the one which has "Fedora 15" or "Windows" on the title (and is the latest kernel) or pointing to partition the default os resides
Having the recovery line + having two kernel (the old kernel not being removed by yum) breaks the default by number

Comment 4 Mads Kiilerich 2011-09-19 11:00:48 UTC
(In reply to comment #3)
> One more thing the /etc/default/grub is being overwritten with every grub
> update (packaging bug I guess) as a result the default boot option is being
> removed which is very annoying! 

Please file a separate bugzilla for issue for this issue. Filing one big bugzilla issue with vague descriptions of several issues is not going to work.

Comment 5 Amir Hedayaty 2011-09-24 17:03:22 UTC
I have filed two separate files for each of those issues

https://bugzilla.redhat.com/show_bug.cgi?id=741045
https://bugzilla.redhat.com/show_bug.cgi?id=741046

Comment 6 Mads Kiilerich 2012-04-16 17:55:48 UTC
Many issues/opinions has been mentioned here. The first specific issue that was mentioned - missing dependency to os-prober - has been fixed. I will thus mark this issue as closed. If you think anything is missing then please file a new bug with just that.


Note You need to log in before you can comment on or make changes to this bug.